require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_labels_test.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::BinaryLabels.new f_labels_train
labels_test = Shogun::BinaryLabels.new f_labels_test
#![create_features]

#![set_parameters]
learn_rate = 1.0
max_iter = 1000
perceptron = Shogun::AveragedPerceptron.new features_train, labels_train
perceptron.set_learn_rate learn_rate
perceptron.set_max_iter max_iter
#![set_parameters]

#![train_and_apply]
perceptron.train 
perceptron.set_features features_test
labels_predict = perceptron.apply 
#![train_and_apply]

#![extract_weights]
weights = perceptron.get_w 
bias = perceptron.get_bias 
#![extract_weights]

#![evaluate_accuracy]
eval = Shogun::AccuracyMeasure.new 
accuracy = eval.evaluate labels_predict, labels_test
#![evaluate_accuracy]
