require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_binary_2d_linear_labels_test.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::BinaryLabels.new f_labels_train
labels_test = Shogun::BinaryLabels.new f_labels_test
#![create_features]

#![create_instance]
lda = Shogun::LDA.new 
lda.set_features features_train
lda.set_labels labels_train
#![create_instance]

#![train_and_apply]
lda.train 
labels_predict = lda.apply_binary features_test
#![train_and_apply]

#![extract_weights]
w = lda.get_w 
#![extract_weights]

#![evaluate_accuracy]
eval = Shogun::AccuracyMeasure.new 
accuracy = eval.evaluate labels_predict, labels_test
#![evaluate_accuracy]

#additional integration testing variables
output = labels_predict.get_labels 
