require 'shogun'

f_feats = Shogun::CSVFile.new "../../data/ica_2_sources.dat"

Shogun::Math.init_random 1

#![create_features]
features = Shogun::RealFeatures.new f_feats
#![create_features]

#![set_parameters]
ica = Shogun::FastICA.new 
ica.set_max_iter 200
ica.set_tol 0.00001
#![set_parameters]

#![apply_convert]
converted = ica.apply features
#![apply_convert]

#![extract]
mixing_matrix = ica.get_mixing_matrix 
casted = Shogun::RealFeatures.obtain_from_generic converted
unmixed_signal = casted.get_feature_matrix 
#![extract]

