require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_test.dat"
Shogun::Math.init_random 1

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::MulticlassLabels.new f_labels_train
labels_test = Shogun::MulticlassLabels.new f_labels_test
#![create_features]

#![create_appropriate_kernel_and_mean_function]
kernel = Shogun::GaussianKernel.new 2.0
mean_function = Shogun::ConstMean.new 
#![create_appropriate_kernel_and_mean_function]

#![create_instance]
gauss_likelihood = Shogun::SoftMaxLikelihood.new 
inference_method = Shogun::MultiLaplaceInferenceMethod.new kernel, features_train, mean_function, labels_train, gauss_likelihood
gp_classifier = Shogun::GaussianProcessClassification.new inference_method
#![create_instance]

#![train_and_apply]
gp_classifier.train 
labels_predict = gp_classifier.apply_multiclass features_test
#![train_and_apply]

#![extract_the_probabilities]
prob = gp_classifier.get_probabilities features_train
#![extract_the_probabilities]

#![evaluate_accuracy]
evals = Shogun::MulticlassAccuracy.new 
accuracy = evals.evaluate labels_predict, labels_test
#![evaluate_accuracy]

# integration testing variables
output = labels_test.get_labels 
