require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_test.dat"
Shogun::Math.init_random 1

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::MulticlassLabels.new f_labels_train
labels_test = Shogun::MulticlassLabels.new f_labels_test
#![create_features]

#![set_attribute_types]
ft = Shogun::BoolVector.new 2
ft.set_element false, 0
ft.set_element false, 1
#![set_attribute_types]

#![create_instance]
classifier = Shogun::CARTree.new ft, Shogun::PT_MULTICLASS, 5, true
classifier.set_labels labels_train
#![create_instance]

#![train_and_apply]
classifier.train features_train
labels_predict = classifier.apply_multiclass features_test
#![train_and_apply]

#![evaluate_accuracy]
eval = Shogun::MulticlassAccuracy.new 
accuracy = eval.evaluate labels_predict, labels_test
#![evaluate_accuracy]

# integration testing variables
output = labels_predict.get_labels 
