require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_train.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::MulticlassLabels.new f_labels_train
#![create_features]


#![create_instance]
gnb = Shogun::GaussianNaiveBayes.new features_train, labels_train
#![create_instance]

#![train_and_apply]
gnb.train 
labels_predict = gnb.apply_multiclass features_test
#![train_and_apply]


# integration testing variables
output = labels_predict.get_labels 
