require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_test.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::MulticlassLabels.new f_labels_train
labels_test = Shogun::MulticlassLabels.new f_labels_test
#![create_features]

#![create_classifier]
classifier = Shogun::LibLinear.new 
#![create_classifier]

#![choose_strategy]
strategy = Shogun::MulticlassOneVsOneStrategy.new 
#![choose_strategy]

#![create_instance]
mc_classifier = Shogun::LinearMulticlassMachine.new strategy, features_train, classifier, labels_train
#![create_instance]

#![train_and_apply]
mc_classifier.train 
labels_predict = mc_classifier.apply_multiclass features_test
#![train_and_apply]

#![evaluate_accuracy]
eval = Shogun::MulticlassAccuracy.new 
accuracy = eval.evaluate labels_predict, labels_test
#![evaluate_accuracy]

# integration testing variables
output = labels_predict.get_labels 
