require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_test.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::MulticlassLabels.new f_labels_train
labels_test = Shogun::MulticlassLabels.new f_labels_test
#![create_features]

#![create_instance]
qda = Shogun::QDA.new features_train, labels_train, 0.0001, true
#![create_instance]

#![train_and_apply]
qda.train 
labels_predict = qda.apply_multiclass features_test
#![train_and_apply]

#![extract_mean_and_cov]
classlabel = 1
m = qda.get_mean classlabel
c = qda.get_cov classlabel
#![extract_mean_and_cov]

#![evaluate_accuracy]
eval = Shogun::MulticlassAccuracy.new 
accuracy = eval.evaluate labels_predict, labels_test
#![evaluate_accuracy]

# additional integration testing variables
output = labels_predict.get_labels 
