require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/classifier_4class_2d_linear_labels_test.dat"
Shogun::Math.init_random 1

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::MulticlassLabels.new f_labels_train
labels_test = Shogun::MulticlassLabels.new f_labels_test
#![create_features]

#![create_combination_rule]
m_vote = Shogun::MajorityVote.new 
#![create_combination_rule]

#![create_instance]
rand_forest = Shogun::RandomForest.new features_train, labels_train, 100
rand_forest.set_combination_rule m_vote
#![create_instance]

#![train_and_apply]
rand_forest.train 
labels_predict = rand_forest.apply_multiclass features_test
#![train_and_apply]

#![evaluate_accuracy]
acc = Shogun::MulticlassAccuracy.new 
oob = rand_forest.get_oob_error acc
accuracy = acc.evaluate labels_predict, labels_test
#![evaluate_accuracy]

# additional integration testing variables
output = labels_predict.get_labels 

