require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/regression_1d_sinc_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/regression_1d_sinc_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/regression_1d_sinc_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/regression_1d_sinc_labels_test.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::RegressionLabels.new f_labels_train
labels_test = Shogun::RegressionLabels.new f_labels_test
#![create_features]

#![create_appropriate_kernel]
width = 1.0
kernel = Shogun::GaussianKernel.new features_train, features_train, width
#![create_appropriate_kernel]

#![create_instance]
tau = 0.001
m = 100
nystrom = Shogun::KRRNystrom.new tau, m, kernel, labels_train
#![create_instance]

#![train_and_apply]
nystrom.train 
labels_predict = nystrom.apply_regression features_test
#![train_and_apply]

#![extract_alpha]
nystrom.get_alphas 
#![extract_alpha]

#![evaluate_error]
eval = Shogun::MeanSquaredError.new 
eval.evaluate labels_predict, labels_test
#![evaluate_error]

# integration testing variables
output = labels_test.get_labels 
