require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/regression_1d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/regression_1d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/regression_1d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/regression_1d_linear_labels_test.dat"

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::RegressionLabels.new f_labels_train
labels_test = Shogun::RegressionLabels.new f_labels_test
#![create_features]

#![preprocess_features]
SubMean = Shogun::PruneVarSubMean.new 
Normalize = Shogun::NormOne.new 
SubMean.init features_train
SubMean.apply_to_feature_matrix features_train
SubMean.apply_to_feature_matrix features_test
Normalize.init features_train
Normalize.apply_to_feature_matrix features_train
Normalize.apply_to_feature_matrix features_test
#![preprocess_features]

#![create_instance]
lamda1 = 0.01
lars = Shogun::LeastAngleRegression.new false
lars.set_features features_train
lars.set_labels labels_train
lars.set_max_l1_norm lamda1
#![create_instance]

#![train_and_apply]
lars.train 
labels_predict = lars.apply_regression features_test

#[!extract_w]
weights = lars.get_w 
#[!extract_w]

#![evaluate_error]
eval = Shogun::MeanSquaredError.new 
mse = eval.evaluate labels_predict, labels_test
#![evaluate_error]

# integration testing variables
output = labels_test.get_labels 

