require 'shogun'

f_feats_train = Shogun::CSVFile.new "../../data/regression_1d_linear_features_train.dat"
f_feats_test = Shogun::CSVFile.new "../../data/regression_1d_linear_features_test.dat"
f_labels_train = Shogun::CSVFile.new "../../data/regression_1d_linear_labels_train.dat"
f_labels_test = Shogun::CSVFile.new "../../data/regression_1d_linear_labels_test.dat"
Shogun::Math.init_random 1

#![create_features]
features_train = Shogun::RealFeatures.new f_feats_train
features_test = Shogun::RealFeatures.new f_feats_test
labels_train = Shogun::RegressionLabels.new f_labels_train
labels_test = Shogun::RegressionLabels.new f_labels_test
#![create_features]

#![create_combination_rule]
mean_rule = Shogun::MeanRule.new 
#![create_combination_rule]

#![create_instance]
rand_forest = Shogun::RandomForest.new features_train, labels_train, 5
rand_forest.set_combination_rule mean_rule
#![create_instance]

#![train_and_apply]
rand_forest.train 
labels_predict = rand_forest.apply_regression features_test
#![train_and_apply]

#![evaluate_error]
mse = Shogun::MeanSquaredError.new 
oob = rand_forest.get_oob_error mse
mserror = mse.evaluate labels_predict, labels_test
#![evaluate_error]

# additional integration testing variables
output = labels_predict.get_labels 
